mbedtls_psa_hmac_operation_t Struct Reference

`#include <crypto_builtin_composites.h>`

Collaboration diagram for mbedtls_psa_hmac_operation_t:
[legend]

## Data Fields

psa_algorithm_t | alg
struct psa_hash_operation_s | hash_ctx
uint8_t | opad [PSA_HMAC_MAX_HASH_BLOCK_SIZE]

## Detailed Description

Definition at line 47 of file crypto_builtin_composites.h.

## Field Documentation

## alg

psa_algorithm_t mbedtls_psa_hmac_operation_t::alg

The HMAC algorithm in use

Definition at line 50 of file crypto_builtin_composites.h.

## hash_ctx

struct psa_hash_operation_s mbedtls_psa_hmac_operation_t::hash_ctx

The hash context.

Definition at line 50 of file crypto_builtin_composites.h.

## opad

uint8_t mbedtls_psa_hmac_operation_t::opad[PSA_HMAC_MAX_HASH_BLOCK_SIZE]

The HMAC part of the context.

Definition at line 54 of file crypto_builtin_composites.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_composites.h